﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Security;

public partial class ChangeProfile : BasePage {
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!User.Identity.IsAuthenticated)
        {
            Response.Redirect("Login.aspx");
        }
        if (!Page.IsPostBack)
        {
            UserName.Text = Membership.GetUser().UserName;
            FirstName.Text = Profile.FirstName;
            LastName.Text = Profile.LastName;
            Email.Text = Membership.GetUser().Email;
            CompanyName.Text = Profile.Company.CompanyName;
            Ic.Text = Profile.Company.IC;
            Dic.Text = Profile.Company.DIC;
            Web.Text = Profile.Company.Web;
            Street.Text = Profile.Addresses.Street;
            Number.Text = Profile.Addresses.Number;
            City.Text = Profile.Addresses.City;
            Postcode.Text = Profile.Addresses.Postcode;

            base.LogActivity("Změna profilu", true);
        }
    }

    protected void ChangeProfileButton_Click(object sender, EventArgs e)
    {
        if (Page.IsValid) 
        {
            MembershipUser user = Membership.GetUser();
            Profile.FirstName = FirstName.Text;
            Profile.LastName = LastName.Text;
            user.Email = Email.Text;
            Membership.UpdateUser(user);
            Profile.Company.CompanyName = CompanyName.Text;
            Profile.Company.IC = Ic.Text;
            Profile.Company.DIC = Dic.Text;
            Profile.Company.Web = Web.Text;
            Profile.Addresses.Street = Street.Text;
            Profile.Addresses.Number = Number.Text;
            Profile.Addresses.City = City.Text;
            Profile.Addresses.Postcode = Postcode.Text;
            Response.Redirect("/Account/Profile.aspx");
        }
    }
    protected void CancelButton_Click(object sender, EventArgs e)
    {
        Response.AddHeader("REFRESH", "3;URL=/Account/Profile.aspx");
    }
}