﻿<%@ Page Title="Registrace" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeFile="Register.aspx.cs" Inherits="Account_Register" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <asp:CreateUserWizard ID="RegisterUser" runat="server" EnableViewState="false" OnCreatedUser="RegisterUser_CreatedUser">
        <LayoutTemplate>
            <asp:PlaceHolder ID="wizardStepPlaceholder" runat="server"></asp:PlaceHolder>
            <asp:PlaceHolder ID="navigationPlaceholder" runat="server"></asp:PlaceHolder>
        </LayoutTemplate>
        <WizardSteps>
            <asp:CreateUserWizardStep ID="RegisterUserWizardStep" runat="server">
                <ContentTemplate>
                    <h2>
                        Vytvoření nového účtu
                    </h2>
                    <p>
                        Vyplňte formulář níže, pro vytvoření nového účtu.
                    </p>
                    <p>
                        Heslo musí mít minimálně <%= Membership.MinRequiredPasswordLength %> znaků.
                    </p>
                    <span class="failureNotification">
                        <asp:Literal ID="ErrorMessage" runat="server"></asp:Literal>
                    </span>
                    <asp:ValidationSummary ID="RegisterUserValidationSummary" runat="server" CssClass="failureNotification" 
                         ValidationGroup="RegisterUserValidationGroup"/>
                    <div class="accountInfo">
                        <fieldset class="register">
                            <legend>Uživatel</legend>
                            <p>
                                <asp:Label ID="FirstNameLabel" runat="server" AssociatedControlID="FirstName"><b>Jméno:</b></asp:Label>
                                <asp:TextBox ID="FirstName" runat="server" CssClass="textEntry"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="FirstNameRequired" runat="server" ControlToValidate="FirstName" 
                                     CssClass="failureNotification" ErrorMessage="Jméno je požadováno." ToolTip="First Name is required." 
                                     ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>

                            </p>
                            <p>
                            <asp:Label ID="LastNameLabel" runat="server" AssociatedControlID="LastName"><b>Příjmení:</b></asp:Label>
                                <asp:TextBox ID="LastName" runat="server" CssClass="textEntry"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="LastNameRequired" runat="server" ControlToValidate="LastName" 
                                     CssClass="failureNotification" ErrorMessage="Příjmení je požadováno." ToolTip="Last Name is required." 
                                     ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>

                            </p>
                            <p>
                                <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName"><b>Uživatelské jméno:</b></asp:Label>
                                <asp:TextBox ID="UserName" runat="server" CssClass="textEntry"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName" 
                                     CssClass="failureNotification" ErrorMessage="Uživatelské jméno je požadováno." ToolTip="User Name is required." 
                                     ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                            </p>
                            <p>
                                <asp:Label ID="EmailLabel" runat="server" AssociatedControlID="Email"><b>E-mail:</b></asp:Label>
                                <asp:TextBox ID="Email" runat="server" CssClass="textEntry"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="EmailRequired" runat="server" ControlToValidate="Email" 
                                     CssClass="failureNotification" ErrorMessage="E-mail je požadován." ToolTip="E-mail is required." 
                                     ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                            </p>
                            <p>
                                <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password"><b>Heslo:</b></asp:Label>
                                <asp:TextBox ID="Password" runat="server" CssClass="passwordEntry" TextMode="Password"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password" 
                                     CssClass="failureNotification" ErrorMessage="Heslo je požadováno." ToolTip="Password is required." 
                                     ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                            </p>
                            <p>
                                <asp:Label ID="ConfirmPasswordLabel" runat="server" AssociatedControlID="ConfirmPassword"><b>Potvrzení hesla:</b></asp:Label>
                                <asp:TextBox ID="ConfirmPassword" runat="server" CssClass="passwordEntry" TextMode="Password"></asp:TextBox>
                                <asp:RequiredFieldValidator ControlToValidate="ConfirmPassword" CssClass="failureNotification" Display="Dynamic" 
                                     ErrorMessage="Potvrzení hesla je požadováno." ID="ConfirmPasswordRequired" runat="server" 
                                     ToolTip="Confirm Password is required." ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                                <asp:CompareValidator ID="PasswordCompare" runat="server" ControlToCompare="Password" ControlToValidate="ConfirmPassword" 
                                     CssClass="failureNotification" Display="Dynamic" ErrorMessage="Heslo a potvrzení hesla musí být stejné."
                                     ValidationGroup="RegisterUserValidationGroup">*</asp:CompareValidator>
                            </p>
                        </fieldset>
                        <fieldset> <!-- skupina poli obalena slabym rameckem  -->
                            <legend>Společnost</legend> <!-- nadpis ramecku -->
                            <p>
                                <asp:Label ID="CompanyNameLabel" runat="server" AssociatedControlID="CompanyName"><b>Název společnosti:</b></asp:Label>
                                <asp:TextBox ID="CompanyName" runat="server" CssClass="textEntry"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="CompanyNameRequired" runat="server" ControlToValidate="CompanyName" 
                                    CssClass="failureNotification" ErrorMessage="Název společnosti je požadován." ToolTip="Jméno společnosti je požadováno."
                                    ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                            </p>         
                            <p>
                                <asp:Label ID="IcLabel" runat="server" AssociatedControlID="Ic"><b>IC:</b></asp:Label><br />
                                <asp:TextBox ID="Ic" runat="server" CssClass="textEntry"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="IcRequired" runat="server" ControlToValidate="Ic" 
                                    CssClass="failureNotification" ErrorMessage="IC je požadováno." ToolTip="IC je požadováno."
                                    ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                            </p>        
                            <p>
                                <asp:Label ID="DicLabel" runat="server" AssociatedControlID="Dic"><b>DIČ:</b></asp:Label><br />
                                <asp:TextBox ID="Dic" runat="server" CssClass="textEntry"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="DicRequired" runat="server" ControlToValidate="Dic" 
                                    CssClass="failureNotification" ErrorMessage="DIČ je požadováno." ToolTip="DIČ je požadováno."
                                    ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                            </p>  
                            <p>
                                <asp:Label ID="WebLabel" runat="server" AssociatedControlID="Web"><b>Web:</b></asp:Label>
                                <asp:TextBox ID="Web" runat="server" CssClass="textEntry"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="WebRequired" runat="server" ControlToValidate="Web" 
                                    CssClass="failureNotification" ErrorMessage="Web je požadován." ToolTip="Web je požadován."
                                    ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                            </p> 
                            <!-- Address -->
                            <p>
                                <asp:Label ID="StreetLabel" runat="server" AssociatedControlID="Street"><b>Ulice:</b></asp:Label>
                                <asp:TextBox ID="Street" runat="server" CssClass="textEntry"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="StreetRequired" runat="server" ControlToValidate="Street" 
                                    CssClass="failureNotification" ErrorMessage="Ulice je požadována." ToolTip="Ulice je požadována."
                                    ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                            </p>    
                            <p>
                                <asp:Label ID="NumberLabel" runat="server" AssociatedControlID="Number"><b>Číslo:</b></asp:Label>
                                <asp:TextBox ID="Number" runat="server" CssClass="textEntry"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="NumberRequired" runat="server" ControlToValidate="Number" 
                                    CssClass="failureNotification" ErrorMessage="Číslo ulice je požadováno." ToolTip="Číslo ulice je požadováno."
                                    ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                            </p>    
                            <p>
                                <asp:Label ID="CityLabel" runat="server" AssociatedControlID="City"><b>Město:</b></asp:Label>
                                <asp:TextBox ID="City" runat="server" CssClass="textEntry"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="CityRequired" runat="server" ControlToValidate="City" 
                                    CssClass="failureNotification" ErrorMessage="Město je požadováno." ToolTip="Město je požadováno."
                                    ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                            </p>      
                            <p>
                                <asp:Label ID="PostcodeLabel" runat="server" AssociatedControlID="Postcode"><b>PSČ:</b></asp:Label><br />
                                <asp:TextBox ID="Postcode" runat="server" CssClass="textEntry"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="PostcodeRequired" runat="server" ControlToValidate="Postcode" 
                                    CssClass="failureNotification" ErrorMessage="PSČ je požadováno." ToolTip="PSČ je požadováno."
                                    ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                            </p>
                            </fieldset>
                        <p class="zarovnani">
                            <asp:Button ID="CreateUserButton" runat="server" CommandName="MoveNext" Text="Registrovat" 
                                 ValidationGroup="RegisterUserValidationGroup"/>
                        </p>
                    </div>
                </ContentTemplate>
                <CustomNavigationTemplate>
                </CustomNavigationTemplate>
            </asp:CreateUserWizardStep>
        </WizardSteps>
    </asp:CreateUserWizard>
</asp:Content>