﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Security;

public partial class Users : BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            GridView1.DataSource = Membership.GetAllUsers();
            GridView1.DataBind();
            base.LogActivity("Správa uživatelů", true);
        }
    }

    //admin role
    protected void AdminCheckBox_CheckedChanged(object sender, EventArgs e)
    {
        CheckBox chb = (CheckBox)sender;
        GridViewRow row = (GridViewRow)chb.NamingContainer;
        string username = (string)GridView1.DataKeys[row.DataItemIndex].Value;

        if (chb.Checked)    // přiřadit uživatele do role 
            Roles.AddUserToRole(username, "admin");
        else                // odebrat uživatele z role
            Roles.RemoveUserFromRole(username, "admin");
    }
    //vyhlasovatel role
    protected void EnunciatorCheckBox_CheckedChanged(object sender, EventArgs e)
    {
        CheckBox chb = (CheckBox)sender;
        GridViewRow row = (GridViewRow)chb.NamingContainer;
        string username = (string)GridView1.DataKeys[row.DataItemIndex].Value;

        if (chb.Checked)    // přiřadit uživatele do role 
            Roles.AddUserToRole(username, "enunciator");
        else                // odebrat uživatele z role
            Roles.RemoveUserFromRole(username, "enunciator");
    }
    //dodavatel role
    protected void SupplierCheckBox_CheckedChanged(object sender, EventArgs e)
    {
        CheckBox chb = (CheckBox)sender;
        GridViewRow row = (GridViewRow)chb.NamingContainer;
        string username = (string)GridView1.DataKeys[row.DataItemIndex].Value;

        if (chb.Checked)    // přiřadit uživatele do role 
            Roles.AddUserToRole(username, "supplier");
        else                // odebrat uživatele z role
            Roles.RemoveUserFromRole(username, "supplier");
    }
    //pozorovatel role
    protected void ObserverCheckBox_CheckedChanged(object sender, EventArgs e)
    {
        CheckBox chb = (CheckBox)sender;
        GridViewRow row = (GridViewRow)chb.NamingContainer;
        string username = (string)GridView1.DataKeys[row.DataItemIndex].Value;

        if (chb.Checked)    // přiřadit uživatele do role 
            Roles.AddUserToRole(username, "observer");
        else                // odebrat uživatele z role
            Roles.RemoveUserFromRole(username, "observer");
    }

    protected void GridView1_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        if (e.CommandName == "DeleteUser")      // smazat uživatele
        {
            Membership.DeleteUser(e.CommandArgument.ToString());
            Response.Redirect("~/Admin/Users.aspx");
        }
    }
}