﻿<%@ Page Title="Nová aukce" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="AddAuction2.aspx.cs" Inherits="AddAuction2" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>Vložit novou aukci</h2>
<div class="accountInfo">
<fieldset class="addAuction">
    <legend>Aukce</legend>
    <p>
        <asp:Label ID="NameLabel" runat="server" AssociatedControlID="TextBoxName">Název:</asp:Label>
        <asp:TextBox ID="TextBoxName" runat="server" CssClass="textEntry"></asp:TextBox>
        <asp:RequiredFieldValidator ID="NameRequired" runat="server" ControlToValidate="TextBoxName" 
            CssClass="failureNotification" ErrorMessage="Název aukce je požadován." ToolTip="Název aukce je požadován." 
            ValidationGroup="Auction">*</asp:RequiredFieldValidator>
    </p>
    <p>
    <asp:Label ID="DescriptionLabel" runat="server" Text="Description">Popis:</asp:Label>
    <br />
    <asp:TextBox ID="TextBoxDescription" runat="server" TextMode="MultiLine" Width="318px" Rows="5"></asp:TextBox>
    </p>
    <p>
    <asp:Label ID="StartDateLabel" runat="server" Text="Description">Začátek:</asp:Label>
    <asp:TextBox ID="TextBoxStartDate" runat="server" CssClass="textEntry"></asp:TextBox>
    <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ForeColor="Red" Display="Dynamic" ValidationGroup="AddEvent"
         ValidationExpression="^(?=\d)(?:(?:31(?!.(?:0?[2469]|11))|(?:30|29)(?!.0?2)|29(?=.0?2.(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00)))(?:\x20|$))|(?:2[0-8]|1\d|0?[1-9]))([-./])(?:1[012]|0?[1-9])\1(?:1[6-9]|[2-9]\d)?\d\d(?:(?=\x20\d)\x20|$))?(((0?[1-9]|1[012])(:[0-5]\d){0,2}(\x20[AP]M))|([01]?\d|2[0-3])(:[0-5]\d){1,2})?$" ControlToValidate="TextBoxStartDate">Zadejte datum!</asp:RegularExpressionValidator>
    <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="TextBoxStartDate"
         ValidationGroup="AddEvent" ForeColor="Red" Display="Dynamic">Datum musí být vyplněno!</asp:RequiredFieldValidator> 
    </p>
    <p>
    <asp:Label ID="EndDateLanel" runat="server" Text="Description">Konec:</asp:Label>
    <asp:TextBox ID="TextBoxEndDate" runat="server" CssClass="textEntry"></asp:TextBox>
    <asp:RegularExpressionValidator ID="RegularExpressionValidator2" runat="server" ForeColor="Red" Display="Dynamic" ValidationGroup="AddEvent"
         ValidationExpression="^(?=\d)(?:(?:31(?!.(?:0?[2469]|11))|(?:30|29)(?!.0?2)|29(?=.0?2.(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00)))(?:\x20|$))|(?:2[0-8]|1\d|0?[1-9]))([-./])(?:1[012]|0?[1-9])\1(?:1[6-9]|[2-9]\d)?\d\d(?:(?=\x20\d)\x20|$))?(((0?[1-9]|1[012])(:[0-5]\d){0,2}(\x20[AP]M))|([01]?\d|2[0-3])(:[0-5]\d){1,2})?$" ControlToValidate="TextBoxEndDate">Zadejte datum!</asp:RegularExpressionValidator>
    <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="TextBoxEndDate"
         ValidationGroup="AddEvent" ForeColor="Red" Display="Dynamic">Datum musí být vyplněno!</asp:RequiredFieldValidator>
    </p>
    <p>
        <asp:Label ID="Label2" runat="server" Text="Description">Kategorie:</asp:Label>
        <asp:DropDownList ID="DropDownList1" runat="server" 
            DataTextField="Name" DataValueField="Name"></asp:DropDownList>
    </p>
    <p class="submitButton">
    <asp:Button ID="Button1" runat="server" Text="Uložit aukci" ValidationGroup="Auction" OnClick="AddAuctionButton_Click"/>
    </p>
</fieldset>
<fieldset class="addAuction">
    <legend>Položky</legend>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:ApplicationServices %>" 
        DeleteCommand="DELETE FROM [Item] WHERE [ItemId] = @ItemId" 
        InsertCommand="INSERT INTO [Item] ([UnitId], [Code], [Description], [Amount], [StartPrice], [AuctionId], [UserId]) VALUES (@UnitId, @Code, @Description, @Amount, @StartPrice, @AuctionId, @UserId) FROM aspnet_Users INNER JOIN Item ON aspnet_Users.UserId = Item.UserId INNER JOIN Auction ON aspnet_Users.UserId = Auction.UserId AND Item.AuctionId = Auction.AuctionId" 
        SelectCommand="SELECT [ItemId], [UnitId], [Code], [Description], [Amount], [StartPrice], [AuctionId], [UserId] FROM [Item] WHERE ([AuctionId] = @AuctionId)" 
        UpdateCommand="UPDATE [Item] SET [UnitId] = @UnitId, [Code] = @Code, [Description] = @Description, [Amount] = @Amount, [StartPrice] = @StartPrice, [AuctionId] = @AuctionId, [UserId] = @UserId WHERE [ItemId] = @ItemId">
        <DeleteParameters>
            <asp:Parameter Name="ItemId" Type="Int32" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="UnitId" Type="Int32" />
            <asp:Parameter Name="Code" Type="String" />
            <asp:Parameter Name="Description" Type="String" />
            <asp:Parameter Name="Amount" Type="Decimal" />
            <asp:Parameter Name="StartPrice" Type="Decimal" />
            <asp:Parameter Name="AuctionId" Type="Int32" />
            <asp:Parameter Name="UserId" />
        </InsertParameters>
        <SelectParameters>
            <asp:QueryStringParameter Name="AuctionId" QueryStringField="id" Type="Int32" />
        </SelectParameters>
        <UpdateParameters>
            <asp:Parameter Name="UnitId" Type="Int32" />
            <asp:Parameter Name="Code" Type="String" />
            <asp:Parameter Name="Description" Type="String" />
            <asp:Parameter Name="Amount" Type="Decimal" />
            <asp:Parameter Name="StartPrice" Type="Decimal" />
            <asp:Parameter Name="AuctionId" Type="Int32" />
            <asp:Parameter Name="UserId" Type="Object" />
            <asp:Parameter Name="ItemId" Type="Int32" />
        </UpdateParameters>
    </asp:SqlDataSource>
    <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" 
        DataKeyNames="ItemId" DataSourceID="SqlDataSource1">
        <Columns>
            <asp:BoundField DataField="Code" HeaderText="Kód" SortExpression="Code" />
            <asp:BoundField DataField="Description" HeaderText="Popis" 
                SortExpression="Description" />
            <asp:BoundField DataField="Amount" HeaderText="Množství" 
                SortExpression="Amount" />
            <asp:BoundField DataField="UnitId" HeaderText="Jednotka" 
                SortExpression="UnitId" />
            <asp:BoundField DataField="StartPrice" HeaderText="Cena" 
                SortExpression="StartPrice" />
            <asp:CommandField CancelText="Zrušit" EditText="Upravit" ShowEditButton="True" 
                UpdateText="Uložit" />
            <asp:CommandField DeleteText="Smazat" ShowDeleteButton="True" />
        </Columns>
    </asp:GridView>
<p><b>Přidat položku</b></p>
<asp:SqlDataSource ID="SqlDataSource2" runat="server" 
        ConnectionString="<%$ ConnectionStrings:ApplicationServices %>" 
        SelectCommand="SELECT [UnitId], [Name] FROM [Unit]"></asp:SqlDataSource>    
    <asp:FormView ID="FormView1" runat="server" DataKeyNames="ItemId" 
        DataSourceID="SqlDataSource1" DefaultMode="Insert">
        
        <InsertItemTemplate>
        <p>
        <asp:Label ID="CodeLabel" runat="server" Text="Code">Kód:</asp:Label>
        <asp:TextBox ID="CodeTextBox" runat="server" CssClass="textEntry" Text='<%# Bind("Code") %>' />
        <asp:RequiredFieldValidator ID="CodeRequired" runat="server" ControlToValidate="CodeTextBox" 
            CssClass="failureNotification" ErrorMessage="Kód položky je požadován." ToolTip="Kód položky je požadován." 
            ValidationGroup="Item">*</asp:RequiredFieldValidator>
        </p>
        <p>
        <asp:Label ID="DescriptionLabel" runat="server" Text="Code">Popis:</asp:Label>
        <asp:TextBox ID="DescriptionTextBox" runat="server" TextMode="MultiLine" Width="318px" Rows="3" Text='<%# Bind("Description") %>' />
        </p>
        <p>
        <asp:Label ID="AmountLabel" runat="server" Text="Amount">Množství</asp:Label>
        <asp:TextBox ID="AmountTextBox" runat="server" CssClass="textEntry" Text='<%# Bind("Amount") %>' />
        <asp:RequiredFieldValidator ID="AmountRequired" runat="server" ControlToValidate="AmountTextBox" 
            CssClass="failureNotification" ErrorMessage="Množství položky je požadováno." ToolTip="Množství položky je požadováno." 
            ValidationGroup="Item">*</asp:RequiredFieldValidator>
        </p>
        <p>
        <asp:Label ID="UnitLabel" runat="server" Text="Unit">Jednotka</asp:Label>
        <asp:DropDownList ID="DropDownList2" runat="server" DataSourceID="SqlDataSource2" DataValueField='UnitId' DataTextField="Name" 
            SelectedValue='<%# Bind("UnitId") %>'>
        </asp:DropDownList>
        </p>
        <p>
        <asp:Label ID="StartPriceLabel" runat="server" Text="StartPrice">Cena</asp:Label>
        <asp:TextBox ID="StartPriceTextBox" runat="server" CssClass="textEntry" Text='<%# Bind("StartPrice") %>' />
        </p>
        <asp:RequiredFieldValidator ID="StartPriceRequired" runat="server" ControlToValidate="StartPriceTextBox" 
            CssClass="failureNotification" ErrorMessage="Cena položky je požadována." ToolTip="Cena položky je požadována." 
            ValidationGroup="Item">*</asp:RequiredFieldValidator>
        <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" 
                CommandName="Insert" Text="Vložit" />
            &nbsp;<asp:LinkButton ID="InsertCancelButton" runat="server" 
                CausesValidation="False" CommandName="Cancel" Text="Zrušit" />
        </InsertItemTemplate>
    </asp:FormView>
</fieldset>
</div>
</asp:Content>

