﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Diagnostics;

public partial class AddItem : BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            base.LogActivity("Přidat položku aukce", true);
            Model.Entities ase = new Model.Entities();

            //vyber z tabulky jednotky a pridani do dropdownlistu
            var qry = (from name in ase.Unit select name);
            DropDownListUnit.DataSource = qry;
            DropDownListUnit.DataValueField = "UnitId";
            DropDownListUnit.DataTextField = "Name";
            DropDownListUnit.DataBind();

            //vyber z tabulky typ polozky a pridani do dropdownlistu
            var qry2 = (from name in ase.TypeOfItems select name);
            DropDownListTypeOfItem.DataSource = qry2;
            DropDownListTypeOfItem.DataValueField = "TypeOfItemsId";
            DropDownListTypeOfItem.DataTextField = "Names";
            DropDownListTypeOfItem.DataBind();

            //chci dostat nazev soucasne aukce
            int auctionId = Int32.Parse(Request.QueryString["AuctionId"]);
            AuctionLabel.Text = (from auction in ase.Auction where auction.AuctionId == auctionId select auction.Name).First();
        }
    }

    protected void AddItemButton_Click(object sender, EventArgs e)
    {
        Model.Entities ase = new Model.Entities();

        Model.Item newItem = new Model.Item();
        newItem.UnitId = Int32.Parse(DropDownListUnit.SelectedValue);
        newItem.Code = TextBoxCode.Text;
        newItem.Description = TextBoxDescription.Text;
        newItem.Amount = decimal.Parse(TextBoxAmount.Text);
        newItem.StartPrice = decimal.Parse(TextBoxStartPrice.Text);

        int auctionId = Int32.Parse(Request.QueryString["AuctionId"]);
        newItem.AuctionId = auctionId;

        newItem.UserId = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;

        newItem.TypeOfItem = Int32.Parse(DropDownListTypeOfItem.SelectedValue);
        //newItem.BestPrice = newItem.Amount;
        //pridani noveho zaznamu do Item a ulozeni
        ase.Item.AddObject(newItem);
        ase.SaveChanges();
        //vypis noveho zaznamu na konzoli
        Debug.WriteLine("Item ID " + newItem.ItemId);

        //presmerovani
        Response.Redirect("~/MyAuction/AddItemSuccess.aspx?AuctionId=" + auctionId.ToString());
    }

    protected void CancelButton_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/MyAuction/Auction.aspx?AuctionId=" + Request.QueryString["AuctionId"]);
    }
}