﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Security;

public partial class AddMember : BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Model.Entities ase = new Model.Entities();
        System.Guid userId = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;
        if (!Page.Request.QueryString.HasKeys()) {
            Response.Redirect("Auction.aspx");
        }
        int i = 0;
        try
        {
            i = Int32.Parse(Page.Request.QueryString["AuctionId"]);
        }
        catch (Exception ex) {
            Response.Redirect("Auction.aspx");
        }
        if ((from auction in ase.Auction where (auction.UserId == userId && auction.AuctionId == i) select auction).Count() == 0) {
            Response.Redirect("Auction.aspx");
        }
        //seznam dodavatelů
        if (!this.IsPostBack)
        {
            base.LogActivity("Přidat člena aukce", true);
            var members = Roles.GetUsersInRole("supplier").Select(u => Membership.GetUser(u));
            GridView1.DataSource = members;
            GridView1.DataBind();
        }
    }
    
    protected void AddMemberButton_Click(object sender, EventArgs e)
    {
        Model.Entities ase = new Model.Entities();
        String added = "";
        String notadded = "";
        String[] array = MemberTextBox.Text.Split(',');
        foreach (String s in array) {
            try
            {
                int auctionId = Int32.Parse(Page.Request.QueryString["AuctionId"]);
                System.Guid userId = (from user in ase.aspnet_Users where user.UserName == s select user.UserId).First();
                if ((from am in ase.AuctionMember where (am.UserId == userId && am.AuctionId == auctionId) select am).Count() != 0)
                {
                    notadded = notadded + s + ", ";
                }
                else
                {
                    Model.AuctionMember auctionMember = new Model.AuctionMember();
                    auctionMember.AuctionId = auctionId;
                    auctionMember.UserId = userId;

                    ase.AuctionMember.AddObject(auctionMember);
                    ase.SaveChanges();
                    added = added + s + ", ";
                }
            }
            catch (Exception ex) {
                notadded = notadded + s + ", ";
            }
        }
        if (added.Length != 0)
        {
            added = added.Substring(0, added.Length - 2);
        }
        else {
            added = "-";
        }
        if (notadded.Length != 0 && (!notadded.Equals(", ")))
        {
            notadded = notadded.Substring(0, notadded.Length - 2);
        }
        else {
            notadded = "-";
        }
        addmemberstart.Visible = false;
        AddedMember.Text = added;
        NotAddedMember.Text = notadded;
        addmemberfinish.Visible = true;
    }
    
    protected void CancelMemberButton_Click(object sender, EventArgs e)
    {
        Response.Redirect("Auction.aspx?AuctionId=" + Page.Request.QueryString["AuctionId"]);
    }
    protected void ButtonOK_Click(object sender, EventArgs e)
    {
        Response.Redirect("Auction.aspx?AuctionId=" + Page.Request.QueryString["AuctionId"]);
    }
    protected void ButtonAnother_Click(object sender, EventArgs e)
    {
        Response.Redirect("Auction.aspx?AuctionId=" + Page.Request.QueryString["AuctionId"]);
    }
}