﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.ComponentModel;
using System.Web.Security;
using System.Diagnostics;
using System.Web.UI.HtmlControls;
using System.IO;
using System.Net.Mail;
using System.Net;
using System.Text;

public partial class Auction : BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack) {
        base.LogActivity("Aukce", true);
        System.Guid guid = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;
        Model.Entities ase = new Model.Entities();
        int i = Int32.Parse(Page.Request.QueryString["AuctionId"]);

        System.Guid userCreator = (from auction in ase.Auction where auction.AuctionId == i select auction.UserId).First();

        ChatMemberList.DataSource = from user in ase.aspnet_Users
                                    join auctionMember in ase.AuctionMember on user.UserId equals auctionMember.UserId
                                    where (auctionMember.AuctionId == i && auctionMember.UserId != userCreator)
                                    select user;
        ChatMemberList.DataTextField = "UserName";
        ChatMemberList.DataValueField = "UserId";
        ChatMemberList.DataBind();
        //kdyz je role pozorovatel
        if (User.IsInRole("observer")) {
            //skryt poslat email
            btnDisplay.Enabled = false;
            //skryt poslat zpravu
            Button1.Enabled = false;
            //skryt vygenerovat report
            //Button2.Enabled = false;
        }

        //casovac
        int id1 = Int32.Parse(Page.Request.QueryString["AuctionId"]);
            if (!ScriptManager1.IsInAsyncPostBack)
            Session["timeout"] = DateTime.Now.AddMinutes(2).ToString();
            //Session["timeout"] = DateTime.Parse("2015-03-04 23:43:57");
            Model.Auction auctionX = (from a in ase.Auction where a.AuctionId == id1 select a).First();
            Session["timeout1"] = auctionX.EndDate.ToString("dd/MM/yyyy HH:mm");
        //konec casovace

            if (Page.Request.QueryString["AuctionId"] != null)
            {
                int id = Int32.Parse(Page.Request.QueryString["AuctionId"]);
                //var qry1 = (from auction in ase.Auction where (auction.UserId.Equals(guid) && auction.AuctionId == id) orderby auction.CreateDate descending select auction);

                //aukce
                var qry1 = (from auction in ase.Auction where (auction.UserId.Equals(guid) && auction.AuctionId == id) select auction);
                GridView1.DataSource = qry1;
                GridView1.DataBind();
                
                //zobrazeni pro uzivatele admin a pozorovatel
                var qry1A = (from auction in ase.Auction where auction.AuctionId == id select auction);
                if (User.IsInRole("observer")) { 
                    GridView1.DataSource = qry1A;
                    GridView1.Columns[5].Visible = false;
                    GridView1.Columns[6].Visible = false;
                    GridView1.DataBind();
                }

                //polozky aukce
                var qry2 = (from item in ase.Item where (item.UserId.Equals(guid) && item.AuctionId == id) select item);
                if (qry2.Count() != 0) {
                    NoItemLabel.Visible = true;
                    GridView2.Visible = true;
                    GridView2.DataSource = qry2;
                    GridView2.DataBind();
                }

                //zobrazeni pro uzivatele admin a pozorovatel
                var qry2A = (from item in ase.Item where item.AuctionId == id select item);
                if ((qry2A.Count() != 0 && User.IsInRole("observer")))
                {
                    NoItemLabel.Visible = true;
                    GridView2.Visible = true;
                    GridView2.DataSource = qry2A;
                    GridView2.Columns[8].Visible = false;
                    GridView2.DataBind();
                }

                //kdyz mam roli admin, pozorovatel, pouze zobrazit cleny aukce
                if (User.IsInRole("observer"))
                {
                    addAuctionMember.Visible = false;
                    removeAuctionMember.Visible = false;
                } 
                //jinak pridat, odebrat clena zobraz
                else {
                addAuctionMember.NavigateUrl = "AddMember.aspx?AuctionId=" + Page.Request.QueryString["AuctionId"];
                removeAuctionMember.NavigateUrl = "RemoveMember.aspx?AuctionId=" + Page.Request.QueryString["AuctionId"];
                }

                var qry = from user in ase.aspnet_Users join auctionmember in ase.AuctionMember on user.UserId equals auctionmember.UserId where auctionmember.AuctionId == id select user;
                BindingList<UserProfile> upbl = new BindingList<UserProfile>();
                foreach (Model.aspnet_Users u in qry)
                {
                    ProfileCommon pc = Profile.GetProfile(u.UserName);
                    String FirstName = pc.FirstName;
                    String LastName = pc.LastName;
                    String CompanyName = pc.Company.CompanyName;
                    String IC = pc.Company.IC;
                    String DIC = pc.Company.DIC;
                    String Web = pc.Company.Web;
                    String Street = pc.Addresses.Street;
                    String Number = pc.Addresses.Number;
                    String City = pc.Addresses.City;
                    String Postcode = pc.Addresses.Postcode;
                    upbl.Add(new UserProfile(u.UserName, FirstName, LastName, Membership.GetUser(u.UserName).Email, CompanyName, IC, DIC, Web, Street, Number, City, Postcode, u.UserId));
                }
                //kdyz mam roli admin, pozorovatel, nezobrazovat prvni sloupec - zatrhavatko
                if (User.IsInRole("observer"))
                {
                    GridView3.DataSource = upbl;
                    GridView3.Columns[0].Visible = false;
                    GridView3.DataBind();
                }
                else {
                    GridView3.DataSource = upbl;
                    GridView3.DataBind();
                }
                //nabidky - nakupni
                var qry5 = (from offer in ase.Offer
                                join item in ase.Item on offer.ItemId equals item.ItemId
                                join unit in ase.Unit on item.UnitId equals unit.UnitId
                                join user in ase.aspnet_Users on offer.UserId equals user.UserId
                                join type in ase.TypeOfItems on item.TypeOfItem equals type.TypeOfItemsId
                                where offer.AuctionId == id && item.TypeOfItem == 1
                                orderby offer.Price ascending
                                select new { offer.Price, item.Code, item.Description, item.Amount, unit.Name, item.StartPrice, user.UserName, type.Names });
                if (qry5.Count() != 0)
                {
                        AuctionOffer.Visible = true;
                        GridView4.Visible = true;
                        GridView4.DataSource = qry5;
                        GridView4.DataBind();
                }
                //nabidky - prodejni
                var qry6 = (from offer in ase.Offer
                            join item in ase.Item on offer.ItemId equals item.ItemId
                            join unit in ase.Unit on item.UnitId equals unit.UnitId
                            join user in ase.aspnet_Users on offer.UserId equals user.UserId
                            join type in ase.TypeOfItems on item.TypeOfItem equals type.TypeOfItemsId
                            where offer.AuctionId == id && item.TypeOfItem == 2
                            orderby offer.Price descending
                            select new { offer.Price, item.Code, item.Description, item.Amount, unit.Name, item.StartPrice, user.UserName, type.Names });
                if (qry6.Count() != 0)
                {
                    AuctionOffer1.Visible = true;
                    GridView5.Visible = true;
                    GridView5.DataSource = qry6;
                    GridView5.DataBind();
                }

                Model.Auction auc = (from auctions in ase.Auction where (auctions.AuctionId == id) select auctions).First();
                //chatova zprava odeslana
                var qry7 = (from chat in ase.Chat
                            join auction in ase.Auction on chat.AuctionId equals auction.AuctionId
                            join user in ase.aspnet_Users on chat.RecipientId equals user.UserId
                            join rec in ase.aspnet_Users on chat.SenderId equals rec.UserId
                            where auction.AuctionId == id
                            orderby chat.CreateDate descending
                            select new { user.UserName, Name = rec.UserName, chat.Message, chat.CreateDate });
                if (qry7.Count() != 0)
                {
                        ListChat.Visible = true;
                        GridView6.Visible = true;
                        GridView6.DataSource = qry7;
                        GridView6.DataBind();
                }
            }

        }
        else {
            NoAuctionLabel.Visible = true;
        }
    }

    //aktualizace nejlepsi ceny
    protected void AutoRefreshTimer_Tick(object sender, EventArgs e) 
    {
        Model.Entities ase = new Model.Entities();
        int id = 0;
        id = Int32.Parse(Page.Request.QueryString["AuctionId"]);
        System.Guid guid = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;
       
        //polozky aukce
        var qry2 = (from item in ase.Item where (item.UserId.Equals(guid) && item.AuctionId == id) select item);
        if (qry2.Count() != 0)
        {
            NoItemLabel.Visible = true;
            GridView2.Visible = true;
            GridView2.DataSource = qry2;
            GridView2.DataBind();
        }
    }
    //aktualizace chat
    protected void AutoRefreshTimerChat_Tick(object sender, EventArgs e)
    {
        Model.Entities ase = new Model.Entities();
        int id = Int32.Parse(Page.Request.QueryString["AuctionId"]);
        Model.Auction auc = (from auctions in ase.Auction where (auctions.AuctionId == id) select auctions).First();
        //chatova zprava odeslana
        var qry7 = (from chat in ase.Chat
                    join auction in ase.Auction on chat.AuctionId equals auction.AuctionId
                    join user in ase.aspnet_Users on chat.RecipientId equals user.UserId
                    join rec in ase.aspnet_Users on chat.SenderId equals rec.UserId
                    where auction.AuctionId == id
                    orderby chat.CreateDate descending
                    select new { user.UserName, Name = rec.UserName, chat.Message, chat.CreateDate });
        if (qry7.Count() != 0)
        {
            ListChat.Visible = true;
            GridView6.Visible = true;
            GridView6.DataSource = qry7;
            GridView6.DataBind();
        }
    }

    //casovac
    protected void timer1_tick(object sender, EventArgs e)
    {
        //DateTime dt = DateTime.Now;
        //dt = dt.AddSeconds(20);
        if (0 > DateTime.Compare(DateTime.Now, DateTime.Parse(Session["timeout1"].ToString())))
        //if (0 > DateTime.Compare(dt, DateTime.Parse(Session["timeout1"].ToString())))
        {
            lblTimer.Text = string.Format("<b>Konec aukce:</b> {0}:{1}:{2}:{3}", ((Int32)DateTime.Parse(Session["timeout1"].ToString()).Subtract(DateTime.Now).TotalDays).ToString(), ((Int32)DateTime.Parse(Session["timeout1"].ToString()).Subtract(DateTime.Now).TotalHours).ToString(), ((Int32)DateTime.Parse(Session["timeout1"].ToString()).Subtract(DateTime.Now).TotalMinutes).ToString(), ((Int32)DateTime.Parse(Session["timeout1"].ToString()).Subtract(DateTime.Now).Seconds).ToString());
        }
        else
        {
            Timer1.Enabled = true;
            lblTimer.Visible = false;
            //Response.Redirect("Default.aspx");
       }
    }

    //export to excel
    protected void btnExportExcel_Click(object sender, EventArgs e)
    {
        Response.Clear();
        Response.Buffer = true;

        Response.AddHeader("content-disposition", "attachment;filename=AuctionReport.xls");
        Response.Charset = "";
        Response.ContentType = "application/vnd.ms-excel";
    }

    //odeslani chatove zpravy
    protected void Chat_Click(object sender, EventArgs e)
    {
        Model.Entities ase = new Model.Entities();

        Model.Chat newChatMessage = new Model.Chat();
        newChatMessage.SenderId = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;
        newChatMessage.RecipientId = System.Guid.Parse(ChatMemberList.SelectedValue);
        newChatMessage.Message = TextBoxMessage.Text;
        newChatMessage.CreateDate = DateTime.Now;
        newChatMessage.AuctionId = Int32.Parse(Page.Request.QueryString["AuctionId"]);

        ase.Chat.AddObject(newChatMessage);
        ase.SaveChanges();

        int auctionId = Int32.Parse(Request.QueryString["AuctionId"]);
        Response.Redirect("~/MyAuction/Auction.aspx?AuctionId=" + auctionId.ToString());
    }

    //Report to Excel
    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Clear();
        Response.AddHeader("content-disposition", "attachment;filename=auctionreport.xls");
        Response.ContentType = "application/vnd.xlsx";
        System.IO.StringWriter stringWrite = new System.IO.StringWriter();
        System.Web.UI.HtmlTextWriter htmlWrite = new HtmlTextWriter(stringWrite);

        System.Guid guid = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;
        Model.Entities ase = new Model.Entities();
        int id = Int32.Parse(Page.Request.QueryString["AuctionId"]);

        htmlWrite.Write("<b>Základní informace</b>");
        GridView1.HeaderRow.Style.Add("background-color", "#ccc");
        GridView1.RowStyle.BackColor = System.Drawing.Color.WhiteSmoke;
        GridView1.AlternatingRowStyle.BackColor = System.Drawing.Color.White;
        GridView1.Columns[4].Visible = false;
        GridView1.Columns[5].Visible = false;
        GridView1.RenderControl(htmlWrite);
        
        //polozky aukce
        var qry2 = (from item in ase.Item where (item.AuctionId == id) select item);
        if (qry2.Count() != 0)
        {
           htmlWrite.Write("<br/>");
           htmlWrite.Write("<b>Položky aukce</b>");
           GridView2.HeaderRow.Style.Add("background-color", "#ccc");
           GridView2.RowStyle.BackColor = System.Drawing.Color.WhiteSmoke;
           GridView2.AlternatingRowStyle.BackColor = System.Drawing.Color.White;
           GridView2.Columns[8].Visible = false;
           GridView2.RenderControl(htmlWrite);
        }
        
        //cleni aukce
        var qry = from user in ase.aspnet_Users join auctionmember in ase.AuctionMember on user.UserId equals auctionmember.UserId where auctionmember.AuctionId == id select user;
        if (qry.Count() != 0) { 
            htmlWrite.Write("<br/>");
            htmlWrite.Write("<b>Členové aukce</b>");
            GridView3.HeaderRow.Style.Add("background-color", "#ccc");
            GridView3.RowStyle.BackColor = System.Drawing.Color.WhiteSmoke;
            GridView3.AlternatingRowStyle.BackColor = System.Drawing.Color.White;
            GridView3.Columns[0].Visible = false;
            GridView3.RenderControl(htmlWrite);
        }

        //nakupni polozky
        var qry5 = (from offer in ase.Offer
                                join item in ase.Item on offer.ItemId equals item.ItemId
                                join unit in ase.Unit on item.UnitId equals unit.UnitId
                                join user in ase.aspnet_Users on offer.UserId equals user.UserId
                                join type in ase.TypeOfItems on item.TypeOfItem equals type.TypeOfItemsId
                                where offer.AuctionId == id && item.TypeOfItem == 1
                                orderby offer.Price ascending
                                select new { offer.Price, item.Code, item.Description, item.Amount, unit.Name, item.StartPrice, user.UserName, type.Names });
        if (qry5.Count() != 0)
        {
            htmlWrite.Write("<br/>");
            htmlWrite.Write("<b>Cenové nabídky aukce - nákupní položky</b>");
            GridView4.HeaderRow.Style.Add("background-color", "#ccc");
            GridView4.RowStyle.BackColor = System.Drawing.Color.WhiteSmoke;
            GridView4.AlternatingRowStyle.BackColor = System.Drawing.Color.White;
            GridView4.RenderControl(htmlWrite);
        }

        //nabidky - prodejni
        var qry6 = (from offer in ase.Offer
                    join item in ase.Item on offer.ItemId equals item.ItemId
                    join unit in ase.Unit on item.UnitId equals unit.UnitId
                    join user in ase.aspnet_Users on offer.UserId equals user.UserId
                    join type in ase.TypeOfItems on item.TypeOfItem equals type.TypeOfItemsId
                    where offer.AuctionId == id && item.TypeOfItem == 2
                    orderby offer.Price descending
                    select new { offer.Price, item.Code, item.Description, item.Amount, unit.Name, item.StartPrice, user.UserName, type.Names });
        if (qry6.Count() != 0) 
        { 
        htmlWrite.Write("<br/>");
        htmlWrite.Write("<b>Cenové nabídky aukce - prodejní položky</b>");
        GridView5.HeaderRow.Style.Add("background-color", "#ccc");
        GridView5.RowStyle.BackColor = System.Drawing.Color.WhiteSmoke;
        GridView5.AlternatingRowStyle.BackColor = System.Drawing.Color.White;
        GridView5.RenderControl(htmlWrite);
        }

         Model.Auction auc = (from auctions in ase.Auction where (auctions.AuctionId == id) select auctions).First();
         //chatova zprava odeslana
         var qry7 = (from chat in ase.Chat
                            join auction in ase.Auction on chat.AuctionId equals auction.AuctionId
                            join user in ase.aspnet_Users on chat.RecipientId equals user.UserId
                            join rec in ase.aspnet_Users on chat.SenderId equals rec.UserId
                            where auction.AuctionId == id
                            orderby chat.CreateDate descending
                            select new { user.UserName, Name = rec.UserName, chat.Message, chat.CreateDate });
                if (qry7.Count() != 0)
                {
                    htmlWrite.Write("<br/>");
                    htmlWrite.Write("<b>Chat</b>");
                    GridView6.HeaderRow.Style.Add("background-color", "#ccc");
                    GridView6.RowStyle.BackColor = System.Drawing.Color.WhiteSmoke;
                    GridView6.AlternatingRowStyle.BackColor = System.Drawing.Color.White;
                    GridView6.RenderControl(htmlWrite);
                }
        
        Response.Write(stringWrite.ToString());
        Response.End();
    }

    public override void VerifyRenderingInServerForm(Control control)
    {
    }
    
    /*protected void SendEmail(object sender, EventArgs e)
    {
        foreach (GridViewRow row in GridView3.Rows)
        {
            if (row.RowType == DataControlRowType.DataRow)
            {
                if ((row.FindControl("CheckBox1") as CheckBox).Checked)
                {
                    string email = row.Cells[4].Text;
                    MailMessage msg = new MailMessage();
                    msg.From = new MailAddress("jirisyrovy27@gmail.com");
                    msg.To.Add(email);
                    //msg.To.Add(new MailAddress("ksyrovy@atlas.cz"));
                    //msg.Subject = "Předmět zprávy JS";
                    msg.Subject = TextBoxSubject.Text;
                    msg.Body = TextBoxInformation.Text;
                    SmtpClient smtp = new SmtpClient();
                    smtp.Host = "smtp.gmail.com";
                    smtp.Port = 587;
                    smtp.EnableSsl = true;
                    smtp.Credentials = new NetworkCredential("jirisyrovy27@gmail.com", "atlasblansko");
                    smtp.Send(msg);
                }

            }
        }
    }*/

    protected void SendEmail(object sender, EventArgs e)
    {
        //string data = "";
        foreach (GridViewRow row in GridView3.Rows)
        {
            if (row.RowType == DataControlRowType.DataRow)
            {
                CheckBox chkRow = (row.Cells[0].FindControl("CheckBox1") as CheckBox);
                if (chkRow.Checked)
                {

                    string email = row.Cells[4].Text;
                    MailMessage msg = new MailMessage();
                    msg.From = new MailAddress("jirisyrovy27@gmail.com");
                    msg.To.Add(email);
                    //msg.To.Add(new MailAddress("ksyrovy@atlas.cz"));
                    //msg.Subject = "Předmět zprávy JS";
                    msg.Subject = TextBoxSubject.Text;
                    msg.Body = TextBoxInformation.Text;
                    SmtpClient smtp = new SmtpClient();
                    smtp.Host = "smtp.gmail.com";
                    smtp.Port = 587;
                    smtp.EnableSsl = true;
                    smtp.Credentials = new NetworkCredential("jirisyrovy27@gmail.com", "atlasblansko");
                    smtp.Send(msg);
                    
                    //string storid = row.Cells[1].Text;
                    //string storname = row.Cells[2].Text;
                    //string state = row.Cells[3].Text;
                    //data = data + storid + " ,  " + storname + " , " + state + "<br>";
                   
                }
            }
        }
        //lblmsg.Text = data;
        int i = Int32.Parse(Page.Request.QueryString["AuctionId"]);
        Response.Redirect("~/MyAuction/Auction.aspx?AuctionId=" + i.ToString());
    }
}