﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Diagnostics;

public partial class CreateAuction : BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!User.Identity.IsAuthenticated || User.IsInRole("observer"))
        {
            Response.Redirect("~/Default.aspx");
        }
        
        if (!Page.IsPostBack)
        {
            base.LogActivity("Nová aukce", true); 
            Model.Entities ase = new Model.Entities();

            ///vyber z tabulky kategorii a pridani do dropdownlistu
            var qry = (from name in ase.Category select name);
            DropDownList1.DataSource = qry;
            DropDownList1.DataValueField = "CategoryId";
            DropDownList1.DataTextField = "Name";
            DropDownList1.DataBind();

            try
            {
                //pridani zacatku a konce aukce
                TextBoxStartDate.Text = Convert.ToDateTime(Request.QueryString["start"]).ToString();
                TextBoxEndDate.Text = Convert.ToDateTime(Request.QueryString["end"]).ToString();
            }
            catch (Exception ex)
            {
                Response.Redirect("/Auctions/");
            }
        }
    }

    protected void AddAuctionButton_Click(object sender, EventArgs e)
    {
        Model.Entities ase = new Model.Entities();

        Model.Auction newAuction = new Model.Auction();
        newAuction.StartDate = Convert.ToDateTime(TextBoxStartDate.Text);
        newAuction.EndDate = Convert.ToDateTime(TextBoxEndDate.Text);
        newAuction.Name = TextBoxName.Text;
        newAuction.Description = TextBoxDescription.Text;
        newAuction.CategoryId = Int32.Parse(DropDownList1.SelectedValue);
        newAuction.CreateDate = DateTime.Now;
        newAuction.UserId = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;
        newAuction.ChangeDate = DateTime.Now;
        newAuction.IsPublic = CheckBoxPublic.Checked;

        if (CheckBoxPublic.Checked)
        {
            newAuction.PublicDate = DateTime.Now;
        }

        ase.Auction.AddObject(newAuction);
        ase.SaveChanges();
        Debug.WriteLine("Auction ID " + newAuction.AuctionId);

        //naplním tabulku AuctionMember novým záznamem s qry1, kde dostanu číslo poslední aukce
        int qry1 = (from auction2 in ase.Auction orderby newAuction.CreateDate descending select newAuction.AuctionId).First();
        Model.AuctionMember auctionmember = new Model.AuctionMember();
        auctionmember.AuctionId = qry1;

        //naplním tabulku AuctionMeber novým záznamem s userId, kde dostau id přihlášeného uživatele
        System.Guid userId = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;
        auctionmember.UserId = userId;

        ase.AuctionMember.AddObject(auctionmember);
        ase.SaveChanges();
        Debug.WriteLine("Auction ID 2: " + auctionmember.AuctionId);
        Debug.WriteLine("UserId: " + auctionmember.UserId);
        
        //přesměrování
        Response.Redirect("~/MyAuction/CreateAuctionSuccess.aspx?AuctionId=" + qry1.ToString());
    }

}