﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Diagnostics;

public partial class EditAuction : BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            base.LogActivity("Editace aukce", true);
            Model.Entities ase = new Model.Entities();

            ///vyber z tabulky kategorii a pridani do dropdownlistu
            //var qry = (from name in ase.Category select name);
            //DropDownList1.DataSource = qry;
            //DropDownList1.DataValueField = "CategoryId";
            //DropDownList1.DataTextField = "Name";
            //DropDownList1.DataBind();

            if (Request.QueryString["AuctionId"] == null) {
                Response.Redirect("/MyAuction/");
            }

            try
            {
                //pridani zacatku a konce aukce
                //TextBoxStartDate.Text = Convert.ToDateTime(Request.QueryString["start"]).ToString();
                //TextBoxEndDate.Text = Convert.ToDateTime(Request.QueryString["end"]).ToString();

                //zjisteni idaukce
                int auctionId = Int32.Parse(Request.QueryString["AuctionId"]);
                System.Guid userId = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;

                if ((from a in ase.Auction where (a.AuctionId == auctionId && a.UserId == userId) select a).Count() == 0) {
                    Response.Redirect("/MyAuction/");
                }
            }
            catch (Exception ex)
            {
                Response.Redirect("/MyAuction/");
            }

            int auctionId2 = Int32.Parse(Request.QueryString["AuctionId"]);
            Model.Auction auction = (from a in ase.Auction where a.AuctionId == auctionId2 select a).First();

            TextBoxName.Text = auction.Name;
            TextBoxDescription.Text = auction.Description;
            TextBoxStartDate.Text = auction.StartDate.ToString();
            TextBoxEndDate.Text = auction.EndDate.ToString();
            CheckBoxPublic.Checked = (bool)auction.IsPublic;

            DropDownList1.DataSource = from name in ase.Category orderby name.Name select name;
            DropDownList1.DataTextField = "Name";
            DropDownList1.DataValueField = "CategoryId";
            DropDownList1.DataBind();
            DropDownList1.SelectedValue = auction.CategoryId.ToString();

        }
    }

    protected void EditAuctionButton_Click(object sender, EventArgs e)
    {
        Model.Entities ase = new Model.Entities();
        int auctionId = Int32.Parse(Request.QueryString["AuctionId"]);

        Model.Auction auction = (from a in ase.Auction where a.AuctionId == auctionId select a).First();
        auction.Name = TextBoxName.Text;
        auction.StartDate = Convert.ToDateTime(TextBoxStartDate.Text);
        auction.EndDate = Convert.ToDateTime(TextBoxEndDate.Text);
        auction.ChangeDate = DateTime.Now;
        auction.IsPublic = CheckBoxPublic.Checked;
        auction.CategoryId = Int32.Parse(DropDownList1.SelectedValue);

        if (CheckBoxPublic.Checked || auction.PublicDate == null) {
            auction.PublicDate = DateTime.Now;
        }

        if (!(TextBoxDescription.Text == ""))
        {
            auction.Description = TextBoxDescription.Text;
        }
        else
        {
            auction.Description = null;
        }

        ase.SaveChanges();
        Response.Redirect("~/MyAuction/EditAuctionSuccess.aspx?AuctionId=" + Request.QueryString["AuctionId"]);
    }

    protected void ButtonCancel_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/MyAuction/Auction.aspx?AuctionId=" + Request.QueryString["AuctionId"]);
    }


}