﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Diagnostics;

public partial class EditItem : BasePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            base.LogActivity("Úprava položky", true);
            Model.Entities ase = new Model.Entities();

            if (Request.QueryString["ItemId"] == null) {
                Response.Redirect("/MyAuction/");    
            }
            try {

                //zjisteni ItemId a UserId
                int itemId = Int32.Parse(Request.QueryString["ItemId"]);
                System.Guid guid = (System.Guid)System.Web.Security.Membership.GetUser().ProviderUserKey;

                if ((from i in ase.Item where (i.ItemId == itemId && i.UserId == guid) select i).Count() == 0) {
                    Response.Redirect("/MyAuction/");
                }
            }
            catch (Exception ex) {
                Response.Redirect("/MyAuction/");
            }
            
            int itemId2 = Int32.Parse(Request.QueryString["ItemId"]);
            Model.Item item = (from i in ase.Item where i.ItemId == itemId2 select i).First();

            TextBoxCode.Text = item.Code;
            TextBoxDescription.Text = item.Description;
            TextBoxAmount.Text = item.Amount.ToString();
            TextBoxStartPrice.Text = item.StartPrice.ToString();

            DropDownListUnit.DataSource = from name in ase.Unit orderby name.Name select name;
            DropDownListUnit.DataTextField = "Name";
            DropDownListUnit.DataValueField = "UnitId";
            DropDownListUnit.DataBind();
            DropDownListUnit.SelectedValue = item.UnitId.ToString();

        }
    }

    protected void EditItemButton_Click(object sender, EventArgs e)
    {
        Model.Entities ase = new Model.Entities();
        int itemId = Int32.Parse(Request.QueryString["ItemId"]);

        Model.Item item = (from i in ase.Item where i.ItemId == itemId select i).First();
        item.Code = TextBoxCode.Text;
        item.Description = TextBoxDescription.Text;
        item.Amount = decimal.Parse(TextBoxAmount.Text);
        item.StartPrice = decimal.Parse(TextBoxStartPrice.Text);
        item.UnitId = Int32.Parse(DropDownListUnit.SelectedValue);

        ase.SaveChanges();

        var auctionId = (from i in ase.Item where i.ItemId == itemId select i.AuctionId).First();

        //presmerovani
        Response.Redirect("~/MyAuction/Auction.aspx?AuctionId=" + auctionId.ToString());
    }

    protected void ButtonCancel_Click(object sender, EventArgs e)
    {
        Model.Entities ase = new Model.Entities();
        int itemId = Int32.Parse(Request.QueryString["ItemId"]);
        var auctionId = (from i in ase.Item where i.ItemId == itemId select i.AuctionId).First();
        Response.Redirect("~/MyAuction/Auction.aspx?AuctionId=" + auctionId.ToString());
    }

    protected void ButtonDelete_Click(object sender, EventArgs e)
    {
        Model.Entities ase = new Model.Entities();
        int itemId = Int32.Parse(Request.QueryString["ItemId"]);
        Model.Item item = (from i in ase.Item where i.ItemId == itemId select i).First();
        
        ase.Item.DeleteObject(item);
        ase.SaveChanges();

        Response.Redirect("~/MyAuction/Auction.aspx?AuctionId=" + Request.QueryString["AuctionId"]);
    }

}